C     practice with the random number generator
C     testrand.f

      program testrand

      integer, parameter :: N =16384
      real, parameter :: Two31=2147483648.0
      integer IR(1:N), SR(1:N)
      real RR(1:N)

CMPF  mpl MPF_RANDOM, MPF_SRANDOM

D     print *,"BEGIN TESTRAND"
      print *,"SRANDOM"
      sr=168+[1:N]
      print *, SR(1:4)
      call mpf_srandom(SR)
      print *,"RANDOM"
      call mpf_random(IR)
      RR=IR/Two31
      print *,IR(1:4)
      print *,RR(1:4)
D     print *,"DONE TESTRAND"

      end program testrand
